<!DOCTYPE html>
<html lang="es">

<head>
    <title>Login</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link rel="icon" href="./assets/tabicon.ico">
    <script type="text/javascript" src="admin.js"></script>
    <link rel="stylesheet" type="text/css" href="main.css">
    <link rel="stylesheet" type="text/css" href="media.css">

    <style type="text/css">
        #login_form {
            color: white;
            display: block;
            padding: 2%;
            display: block;
            border: 1px solid #696969;
            border-left: 6px solid #c8523b;
            border-radius: 5px;
            background-color: #787878;
        }


        ::placeholder {
            /* Chrome, Firefox, Opera, Safari 10.1+ */
            color: white;
            opacity: 1;
            /* Firefox */
        }

        :-ms-input-placeholder {
            /* Internet Explorer 10-11 */
            color: white;
        }

        ::-ms-input-placeholder {
            /* Microsoft Edge */
            color: white;
        }

        input[type=button] {
            text-decoration: none;
            display: inline-block;
            background-color: #c8523b;
            color: white;
            -webkit-transition-duration: 0.8s;
            /* Safari */
            transition-duration: .8s;
            border: 1px solid #c8523b;
            border-radius: 5px;
            width: 70%;
            padding: 1.5%;
            margin-left: 15%;
            margin-bottom: 3%;
            opacity: .7;
            font-size: 1.3em;
        }

        input[type=button]:hover {
            border: 1px solid #c8523b;
            cursor: pointer;
            opacity: 1;

        }

        input[type=text]{
            color:black;
        }

        b {
            font-size: 1.6em;
        }

        * {
            box-sizing: border-box;
        }

        #tabla {
            background-color:#787878;
            color: white;
        }

        #Agregar {
            background-color: #787878;
            margin-left: 30%;
            margin-right: 30%;
            padding-top: 0.5%;
            padding-bottom: 1%;
            display: none;
            padding-left:1%;
            padding-right: 1%;
            border-radius:8px;
        }

        .dropdown-puesto {
            color:black;
        }

        thead {
            background-color:#323232
        }

        #contenedor {
            overflow:auto;
            text-align:right;
        }

        #AgregarSupervisor {
            display:block;
        }

        #AgregarAdministrador, #AgregarSeguridad, #AgregarTrabajador {
            display:none;
        }


    </style>
</head>

<body onload="llenarTabla();">
    <div class="container-fluid">
        <header>
            <ul>
                <li class="img_l logo"><img src="./assets/Ternium_logo.png" alt="Logo ternium" height="110px" width="260px">
                </li>
                <li class="modo">
                    <p>Listado de Perfiles.</p>
                </li>
            </ul>
        </header>
        <hr>

        <!--Barra de Busqueda y botón de agregar usuario-->
        <div class="row">
            <div class="col-sm-1"></div>
            <div class="col-sm-4">
                    <input class="form-control" type="text" placeholder="Buscar por nombre" aria-label="Search">
            </div>
            <div class="col-sm-6">
                    <button type="button" style="float:right" class="btn btn-success" onclick='ToggleDiv();'>Agregar Usuario</button>
            </div>
            <div class="col-sm-1"></div>
        </div>

        <br>

        <!--División de los forms para dar de alta a un usuario-->
        <div id="Agregar">
            <div class="rounded">

                <div class="btn-group" role="group">
                    <button type="button" class="btn btn-primary" onclick='ToggleSup()'>Supervisor</button>
                    <button type="button" class="btn btn-primary" onclick='ToggleAdmin()'>Administrador</button>
                    <button type="button" class="btn btn-primary" onclick='ToggleSeg()'>Seguridad</button>
                    <button type="button" class="btn btn-primary" onclick='ToggleTra()'>Trabajador</button>
                </div>

                <div id="AgregarSupervisor" style="color:white">
                    <form>
                        <h3 style="text-align:center">Agregar Supervisor</h3>

                        <h5>Nómina:</h5>
                        <input type="text" name="nominaSup" id="nominaSup" placeholder="nomina" size="40">

                        <h5>Nombre Completo:</h5>
                        <input type="text" name="nombreSup" id="nombreSup" placeholder="nombre" size="40">

                        <h5>Grupo a Cargo:</h5>
                        <input type="text" name="grupoSup" id="grupoSup" placeholder="group" size="10">

                        <h5>Contraseña:</h5>
                        <input type="password" name="passwordSup" id="passwordSup"  size="40">

                        <h5>MAC Address del Dispositivo:</h5>
                        <input type="text" name="macSup" id="macSup" placeholder="MAC Address" size="40">

                        <h5>Subir foto:</h5>
                        <input type="file" name="Foto">

                        <br><br>

                        <button class="btn btn-success" type="button" onclick="alta()">Dar de Alta</button>
                    </form>
                </div>

                <div id="AgregarSeguridad" style="color:white">
                    <form>
                        <h3 style="text-align:center">Agregar Seguridad</h3>

                        <h5>Nómina:</h5>
                        <input type="text" name="nominaSeg" id="nominaSeg" placeholder="nomina" size="40">

                        <h5>Nombre Completo:</h5>
                        <input type="text" name="nombreSeg" id="nombreSeg" placeholder="nombre" size="40">

                        <h5>Contraseña:</h5>
                        <input type="password" name="passwordSeg" id="passwordSeg"  size="40">

                        <h5>Subir foto:</h5>
                        <input type="file" name="Foto">

                        <br><br>

                        <button class="btn btn-success" type="button" onclick="alta()">Dar de Alta</button>
                    </form>
                </div>

                <div id="AgregarAdministrador" style="color:white">
                    <form>
                        <h3 style="text-align:center">Agregar Administrador</h3>

                        <h5>Nómina:</h5>
                        <input type="text" name="nominaAdmin" id="nominaAdmin" placeholder="nomina" size="40">

                        <h5>Nombre Completo:</h5>
                        <input type="text" name="nombreAdmin" id="nombreAdmin" placeholder="nombre" size="40">

                        <h5>Contraseña:</h5>
                        <input type="password" name="nombreAdmin" id="passwordAdmin"  size="40" style="color:black">

                        <h5>Subir foto:</h5>
                        <input type="file" name="Foto">

                        <br><br>

                        <button class="btn btn-success" type="button" onclick="alta()">Dar de Alta</button>
                    </form>
                </div>

                <div id="AgregarTrabajador" style="color:white">
                        <form>
                            <h3 style="text-align:center">Agregar Trabajador</h3>

                            <h5>Nómina:</h5>
                            <input type="text" name="nominaTra" id="nominaTra" placeholder="nomina" size="40">

                            <h5>Nombre Completo:</h5>
                            <input type="text" name="nombreTra" id="nombreTra" placeholder="nombre" size="40">

                            <h5>Grupo:</h5>
                            <input type="text" name="grupoTra" id="grupoTra" placeholder="group" size="10">

                            <h5>MAC Address del Dispositivo:</h5>
                            <input type="text" name="macTra" id="macTra" placeholder="MAC Address" size="40">

                            <h5>Subir foto:</h5>
                            <input type="file" name="Foto">

                            <br><br>

                            <button class="btn btn-success" type="button" onclick="alta()">Dar de Alta</button>
                        </form>
                    </div>


            </div>
        </div>

        <br>

        <!--División de la tabla, los datos los jala desde el admin.js en el llenarTabla()-->
        <div class="row" id="contenedor">
            <div class="col-sm-1"></div>
            <div class="col-sm-10">
                <table class="table" id="tabla">
                    <thead>
                        <tr>
                            <th>Dispositivo</th>
                            <th>Nombre</th>
                            <th>Correo</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
            <div class="col-sm-1"></div>
        </div>

    </div>
</body>

<footer>
    <br>
    <p style="text-align:center">Ternium © 2018</p>
</footer>

</html>
